## Generated SDC file "snake.out.sdc"

## Copyright (C) 1991-2013 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 13.0.1 Build 232 06/12/2013 Service Pack 1 SJ Full Version"

## DATE    "Mon Jan 20 00:42:28 2014"

##
## DEVICE  "EP2C20F484C7"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {CLOCK_27[0]} -period 37.037 -waveform { 0.000 18.518 } [get_ports {CLOCK_27[0]}]
create_clock -name {CLOCK_50} -period 20.000 -waveform { 0.000 10.000 } [get_ports {CLOCK_50}]
create_clock -name {I2C_AV_Config:u1|mI2C_CTRL_CLK} -period 1300.000 -waveform { 0.000 600.000 } [get_registers { I2C_AV_Config:u1|mI2C_CTRL_CLK }]
create_clock -name {clk_slow:divtime|CLOCK_1} -period 1000000.000 -waveform { 0.000 500000.000 } [get_registers { clk_slow:divtime|CLOCK_1 }]
create_clock -name {clk_div:divisore0|clk_25} -period 40.000 -waveform { 0.000 20.000 } [get_registers { clk_div:divisore0|clk_25 }]
create_clock -name {gameblock:gb0|graphicupdate} -period 50.000 -waveform { 0.000 25.000 } [get_registers { gameblock:gb0|graphicupdate }]
create_clock -name {gameblock:gb0|gtg:tickgen|out} -period 1000000.000 -waveform { 0.000 500000.000 } [get_registers { gameblock:gb0|gtg:tickgen|out }]
create_clock -name {clk_slow:divtime|CLOCK_5} -period 1000000.000 -waveform { 0.000 500000.000 } [get_registers { clk_slow:divtime|CLOCK_5 }]
create_clock -name {gameblock:gb0|keypressed} -period 100000.000 -waveform { 0.000 50000.000 } [get_registers { gameblock:gb0|keypressed }]
create_clock -name {gameblock:gb0|latkey[5]} -period 100000.000 -waveform { 0.000 50000.000 } [get_registers { gameblock:gb0|latkey[5] }]


#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name {PLL1|altpll_component|pll|clk[0]} -source [get_ports {CLOCK_27[0]}] -duty_cycle 50.000 -multiply_by 15 -divide_by 22 -master_clock {CLOCK_27[0]} [get_pins { PLL1|altpll_component|pll|clk[0] }] 
create_generated_clock -name {PLL2|altpll_component|pll|clk[0]} -source [get_ports {CLOCK_50}] -duty_cycle 50.000 -multiply_by 19 -divide_by 9 -master_clock {CLOCK_50} [get_pins { PLL2|altpll_component|pll|clk[0] }] 
create_generated_clock -name {AUDIO_DAC_FIFO:audout0|oAUD_LRCK} -source [get_pins {PLL1|altpll_component|pll|clk[0]}] -divide_by 576 -master_clock {PLL1|altpll_component|pll|clk[0]} [get_keepers {AUDIO_DAC_FIFO:audout0|LRCK_1X AUD_ADCLRCK AUD_DACLRCK}] 
create_generated_clock -name {AUDIO_DAC_FIFO:audout0|oAUD_BCK} -source [get_pins {PLL1|altpll_component|pll|clk[0]}] -divide_by 36 -master_clock {PLL1|altpll_component|pll|clk[0]} [get_registers { AUDIO_DAC_FIFO:audout0|oAUD_BCK }] 

#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************



#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 


#**************************************************************
# Set False Path
#**************************************************************

set_false_path -from [get_keepers {*rdptr_g*}] -to [get_keepers {*ws_dgrp|dffpipe_id9:dffpipe20|dffe21a*}]
set_false_path -from [get_keepers {*delayed_wrptr_g*}] -to [get_keepers {*rs_dgwp|dffpipe_hd9:dffpipe17|dffe18a*}]


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

